Skip to main content
POST
/
connections
/
{id}
/
data
/
{dataCollectionKey}
/
refresh
Refresh data collection specification
curl --request POST \
  --url https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}/refresh \
  --header 'Authorization: Bearer <token>'
{
  "type": "collection",
  "name": "<string>",
  "key": "<string>",
  "parametersSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "fieldsSchema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "list": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ],
    "filterFields": [
      "<string>"
    ]
  },
  "search": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ]
  },
  "match": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ],
    "fields": [
      "<string>"
    ]
  },
  "findById": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ]
  },
  "create": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ],
    "fields": [
      "<string>"
    ],
    "requiredFields": [
      "<string>"
    ],
    "excludedFields": [
      "<string>"
    ]
  },
  "update": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ],
    "fields": [
      "<string>"
    ],
    "excludedFields": [
      "<string>"
    ]
  },
  "delete": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ]
  },
  "events": {
    "created": {
      "type": "push",
      "isFullScan": true,
      "isIdOnly": true
    },
    "updated": {
      "type": "push",
      "isFullScan": true,
      "isIdOnly": true
    },
    "deleted": {
      "type": "push",
      "isFullScan": true,
      "isIdOnly": true
    },
    "all": {
      "type": "push",
      "isFullScan": true,
      "isIdOnly": true
    }
  },
  "customFields": true,
  "udm": {},
  "find": {
    "apiRequests": [
      {
        "path": {},
        "method": {}
      }
    ],
    "queryFields": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
dataCollectionKey
string
required

Query Parameters

collectionParams
object

Data Collection parameters

Response

200 - application/json
type
enum<string>
required
Available options:
collection
name
string
required
key
string
parametersSchema
object
fieldsSchema
object
list
object
match
object
findById
object
create
object
update
object
delete
object
events
object
customFields
boolean
udm
object
find
object